# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget mesh visual csg csgvis geom2d geom2dvis occ occvis stl stlvis interface netgen gui togl nglib)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr")

# Create imported target mesh
add_library(mesh SHARED IMPORTED)

set_target_properties(mesh PROPERTIES
  INTERFACE_LINK_LIBRARIES "/usr/lib64/libz.so;/usr/lib64/libpython3.7m.so"
)

# Create imported target visual
add_library(visual SHARED IMPORTED)

set_target_properties(visual PROPERTIES
  INTERFACE_LINK_LIBRARIES "/usr/lib64/libpython3.7m.so;/usr/lib64/libOpenGL.so;/usr/lib64/libGLX.so;/usr/lib64/libGLU.so"
)

# Create imported target csg
add_library(csg SHARED IMPORTED)

set_target_properties(csg PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;/usr/lib64/libpython3.7m.so;/usr/lib64/libpython3.7m.so"
)

# Create imported target csgvis
add_library(csgvis SHARED IMPORTED)

set_target_properties(csgvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "csg;visual"
)

# Create imported target geom2d
add_library(geom2d SHARED IMPORTED)

set_target_properties(geom2d PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;/usr/lib64/libpython3.7m.so"
)

# Create imported target geom2dvis
add_library(geom2dvis SHARED IMPORTED)

set_target_properties(geom2dvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "geom2d"
)

# Create imported target occ
add_library(occ SHARED IMPORTED)

set_target_properties(occ PROPERTIES
  INTERFACE_LINK_LIBRARIES "/usr/lib64/libTKBO.so;/usr/lib64/libTKBool.so;/usr/lib64/libTKBRep.so;/usr/lib64/libTKCAF.so;/usr/lib64/libTKCDF.so;/usr/lib64/libTKernel.so;/usr/lib64/libTKG2d.so;/usr/lib64/libTKG3d.so;/usr/lib64/libTKGeomAlgo.so;/usr/lib64/libTKGeomBase.so;/usr/lib64/libTKHLR.so;/usr/lib64/libTKIGES.so;/usr/lib64/libTKLCAF.so;/usr/lib64/libTKMath.so;/usr/lib64/libTKMesh.so;/usr/lib64/libTKOffset.so;/usr/lib64/libTKPrim.so;/usr/lib64/libTKService.so;/usr/lib64/libTKShHealing.so;/usr/lib64/libTKSTEP.so;/usr/lib64/libTKSTEP209.so;/usr/lib64/libTKSTEPAttr.so;/usr/lib64/libTKSTEPBase.so;/usr/lib64/libTKSTL.so;/usr/lib64/libTKTopAlgo.so;/usr/lib64/libTKV3d.so;/usr/lib64/libTKXCAF.so;/usr/lib64/libTKXDEIGES.so;/usr/lib64/libTKXDESTEP.so;/usr/lib64/libTKXSBase.so;/usr/lib64/libpython3.7m.so"
)

# Create imported target occvis
add_library(occvis SHARED IMPORTED)

set_target_properties(occvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "occ"
)

# Create imported target stl
add_library(stl SHARED IMPORTED)

set_target_properties(stl PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;/usr/lib64/libpython3.7m.so;/usr/lib64/libpython3.7m.so"
)

# Create imported target stlvis
add_library(stlvis SHARED IMPORTED)

set_target_properties(stlvis PROPERTIES
  INTERFACE_LINK_LIBRARIES "stl"
)

# Create imported target interface
add_library(interface SHARED IMPORTED)

set_target_properties(interface PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;csg;geom2d;visual"
)

# Create imported target netgen
add_executable(netgen IMPORTED)

# Create imported target gui
add_library(gui SHARED IMPORTED)

set_target_properties(gui PROPERTIES
  INTERFACE_LINK_LIBRARIES "nglib;mesh;stlvis;stl;geom2dvis;interface;geom2d;csg;stl;visual;csgvis"
)

# Create imported target togl
add_library(togl SHARED IMPORTED)

set_target_properties(togl PROPERTIES
  INTERFACE_LINK_LIBRARIES "-ldl;/usr/lib64/libOpenGL.so;/usr/lib64/libGLX.so;/usr/lib64/libGLU.so"
)

# Create imported target nglib
add_library(nglib SHARED IMPORTED)

set_target_properties(nglib PROPERTIES
  INTERFACE_LINK_LIBRARIES "mesh;stl;interface;geom2d;csg;stl;visual;stlvis;geom2dvis;csgvis;occ"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/netgen-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
